# DialogueAdvanceInput

Class in [Yarn.Unity](/2.1/api/csharp/yarn.unity.md)

Inherits from `MonoBehaviour`

## Summary

A component that listens for user input, and uses it to notify a dialogue view that the user wishes to advance to the next step in the dialogue.

```csharp
public class DialogueAdvanceInput : MonoBehaviour
```

## Remarks

This class may be used with the Unity Input System, or the legacy Input Manager. The specific type of input it's looking for is configured via the [continueActionType](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-2.md) field.

When the configured input occurs, this component calls the [UserRequestedViewAdvancement()](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.userrequestedviewadvancement.md) method on its [dialogueView](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.dialogueview.md).

## Enums

| Name                                                                                                                                     | Description                                                                                                      |
| ---------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| [ContinueActionType](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-1.md) | The type of input that this component is listening for in order to signal that its dialogue view should advance. |

## Fields

| Name                                                                                                                                             | Description                                                                                                                                                                                                                                                      |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [continueAction](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueaction.md)                   | The `InputAction` that this component is listening for.                                                                                                                                                                                                          |
| [continueActionKeyCode](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactionkeycode.md)     | The keyboard key that this component is listening for.                                                                                                                                                                                                           |
| [continueActionReference](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactionreference.md) | An `InputActionReference` that refers to the action that this component is listening for.                                                                                                                                                                        |
| [continueActionType](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-2.md)         | The type of input that this component is listening for.                                                                                                                                                                                                          |
| [dialogueView](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.dialogueview.md)                       | The dialogue view that will be notified when the user performs the advance input (as configured by [continueActionType](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-2.md) and related fields.) |
| [enableActionOnStart](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.enableactiononstart.md)         | Configures whether [Action](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.action.md) should be enabled on start.                                                                                                    |

## Properties

| Name                                                                                                           | Description                                                                                                                       |
| -------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| [Action](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.action.md) | Gets the `InputAction` configured by this [DialogueAdvanceInput](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md) . |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
